Subject: Re: [PATCH net-next 10/12] net: ethernet: Add helper for set_pauseparam for Asym Pause

From: Andrew Lunn <[email-masked]>
Date: Mon, 3 Sep 2018 21:58:05 +0200

> Don't you want to go one step further and incorporate the logic that xgenet,
> tg3, gianfar and others have? That is: look at the currently advertised
> parameters, determine what changed, and re-start auto-negotiation as a
> result of it being enabled and something changed?

Hi Florian

Given the number of changes i'm making, over a so many different
drivers which i cannot test, i wanted to try to keep the changes
KISS. That way we are more likely to spot errors during review.  So i
would prefer to be done later, unless it actually makes review
simpler...

   Andrew